summaryrefslogtreecommitdiff
path: root/openvpn/easy-rsa/revoke-crt
diff options
context:
space:
mode:
authorChristian Pointner <equinox@anytun.org>2007-06-16 01:08:34 +0000
committerChristian Pointner <equinox@anytun.org>2007-06-16 01:08:34 +0000
commitbd379231f2d4b22b473fd7f428e518462fb7476a (patch)
tree7643fa58ffe7123cc08e7784f204efe9f5b5970e /openvpn/easy-rsa/revoke-crt
parentremoved openvpn source files (diff)
added all the openvpn stuff
Diffstat (limited to 'openvpn/easy-rsa/revoke-crt')
-rw-r--r--openvpn/easy-rsa/revoke-crt18
1 files changed, 18 insertions, 0 deletions
diff --git a/openvpn/easy-rsa/revoke-crt b/openvpn/easy-rsa/revoke-crt
new file mode 100644
index 0000000..35b071a
--- /dev/null
+++ b/openvpn/easy-rsa/revoke-crt
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+#
+# revoke a certificate
+#
+#
+
+if test $# -ne 1; then
+ echo "usage: revoke-crt <file.crt>";
+ exit 1
+fi
+
+if test $KEY_DIR; then
+ cd $KEY_DIR && \
+ openssl ca -revoke $1 -config $KEY_CONFIG
+else
+ echo you must define KEY_DIR
+fi